<div class="container">
    <form [formGroup]="meuForm" class="row" (submit)="cadastrar($event)">
        <div class="col-md-6">
            <div class="form-group">
                <label>Título</label>
                <input name="titulo" [(ngModel)]="foto.titulo" class="form-control" formControlName='titulo' autocomplete="off">
                <div *ngIf="meuForm.controls.titulo.invalid">
                    <span *ngIf="meuForm.controls.titulo.errors.required" class="form-control alert-danger">
                        título obrigatório
                    </span>
                    <!-- <span *ngIf="meuForm.controls.titulo.errors.minLength" class="form-control alert-danger">
                    Tamanho minimo
                </span> -->
                </div>
            </div>
            <div class="form-group">
                <label>URL</label>
                <input name="url" [(ngModel)]="foto.url" class="form-control" formControlName='url' autocomplete="off">
                <span *ngIf="meuForm.controls.url.invalid" class="form-control alert-danger">
                    url obrigatório
                </span>
            </div>
            <div class="form-group">
                <label>Descrição</label>
                <textarea name="descricao" [(ngModel)]="foto.descricao" class="form-control" formControlName='descricao' autocomplete="off">  </textarea>
            </div>

            <button type="submit" [disabled]="meuForm.invalid" class="btn btn-primary">
                Salvar
            </button>
            <a [routerLink]="['']" class="btn btn-primary">Voltar</a>
            <hr>
        </div>

        <div class="col-md-6">
            <foto [url]="foto.url"></foto>
        </div>
    </form>
</div>